// Copyright (c) 2020-2021 by the Zeek Project. See LICENSE for details.

#pragma once

namespace spicy::zeek::configuration {

#define SPICY_HAVE_TOOLCHAIN
#define ZEEK_SPICY_PLUGIN_USE_JIT
#define ZEEK_SPICY_PLUGIN_INTERNAL_BUILD

// We make sure this is always defined, either as 0 or 1, so that we
// can catch when this header wasn't included.
#define ZEEK_DEBUG_BUILD 0

// Version of Zeek the plugin was compiled against.
#define ZEEK_SPICY_VERSION_NUMBER 50009
#define ZEEK_SPICY_BUILD_DIRECTORY "/builddir/build/BUILD/zeek-5.0.9/build"

#define SPICY_VERSION_NUMBER 10504

inline const auto BuildLibDir = "/builddir/build/BUILD/zeek-5.0.9/build/src/builtin-plugins/spicy-plugin";
inline const auto InstallLibDir = "/opt/zeek/lib";
inline const auto InstallPrefix = "/opt/zeek";

inline const auto PluginVersion = "1.3.26";
inline const int PluginVersionNumber = 10326;
inline const int PluginVersionMajor = 1;
inline const int PluginVersionMinor = 3;
inline const int PluginVersionPatch = 26;

inline const int ZeekVersionNumber = 50009;
inline const auto ZeekConfig = "/opt/zeek/bin/zeek-config";

inline const auto CxxZeekIncludeDirectories = "/opt/zeek/include";
inline const auto CxxBrokerIncludeDirectory = "";

inline const auto PluginModuleDirectory = "/opt/zeek/lib/zeek-spicy/modules";
inline const auto PluginScriptsDirectory = "";

inline const auto StaticBuildName = "spicy-plugin";

}
